Subject: bug#37667: 27.0.50; Tab Bar display problems with more than 5 tabs

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Nov 2019 16:20:51 +0200

> Cc: [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Thu, 21 Nov 2019 09:23:41 +0100
> 
>  > I don't know why 'switch-to-buffer' changes the order of
>  > window-prev-buffers used in the tab-line.  We have to ask Martin
>  > is it possible to keep the original order in window-prev-buffers list.
> 
> No.  The aim of 'window-prev-buffers' (and 'window-next-buffers') is
> to make navigation between the buffers shown in that window reliable.
> So 'window-prev-buffers' is kept in a "most recently shown in that
> window first" order.
> 
> Browser tabs are usually ordered by their creation time which has no
> relationship to what has been actually shown.  You can create a new
> browser tab and then remove it without ever visiting the corresponding
> link.  OTOH a buffer listed in 'window-prev-buffers' has been shown in
> that window at least once.  After C-x 2 the new window has just one
> element in that list, the buffer it shows.

I agree.  Perhaps we should allow customization of the buffer order on
the tab line, but I think the default order should not change when one
switches buffers.